select prod_name, cust_first_name, channel_desc, promo_name, sum(amount_sold)
from sales s, products p, customers c, channels n, promotions m
where s.prod_id = p.prod_id
and s.cust_id = c.cust_id
and s.channel_id = n.channel_id
and s.promo_id = m.promo_id
and prod_name like 'Endurance%'
and cust_first_name like 'Theodora%'
and channel_desc like 'Internet%'
and promo_name like 'NO %'
group by prod_name, cust_first_name, channel_desc, promo_name
/
